package pejb.rmi.base;
import java.io.*;
import java.rmi.registry.Registry;
public class RmiUtil {
	
	public static final String LOCALHOST = "localhost";
	private RmiUtil () {}
	public static String getRmiString(String name,String host, int port) {
		return "//" + host + ":" + port + "/" + name;
	}
	public static String getRmiString(String name, String host) {
		return getRmiString(name,host, Registry.REGISTRY_PORT);
	}
	public static String getRmiString(String name) {
		return getRmiString(name, LOCALHOST, Registry.REGISTRY_PORT);
	}
	public static String getRmiString(String name, int port) {
		return getRmiString(name, LOCALHOST, port);
	}
	
	
}
		