package pejb.rmi.server;
import java.util.Properties;
import java.rmi.*;
import java.rmi.activation.*;
import java.rmi.server.*;
import java.rmi.registry.Registry;
import pejb.rmi.base.*;

public class GenericServer extends Activatable implements Workable {
	public GenericServer(ActivationID act_id, MarshalledObject obj) throws RemoteException {
		super(act_id, 0);
	}
	
	public java.io.Serializable doJob(AnyThing any ) {
		return any.doThing();
	}
	public static void main(String [] args) throws Exception {
		System.setSecurityManager(new RMISecurityManager());
		Workable server = null;
		MarshalledObject obj = null;
		String clsName = "pejb.rmi.server.GenericServer";
		String url = "http://211.47.153.170/act.jar";
		Properties props = new Properties();
		props.put("java.security.policy", "file:/home/iboyang/book/activation/permit");
		ActivationGroupDesc.CommandEnvironment ace = null;
		ActivationSystem sys = ActivationGroup.getSystem();
		ActivationGroupID id = sys.registerGroup(new ActivationGroupDesc(props, ace));
		ActivationDesc desc = new ActivationDesc(id, clsName, url, obj);
		server = (Workable)Activatable.register(desc);
		Naming.rebind(Workable.NAME, server);
		System.out.println("Remote Activatable Object bound ...");
		System.exit(0);
	}
}

