package pejb.ejb.entity.board;
import javax.ejb.*;
import javax.naming.*;
import javax.sql.DataSource;
import java.util.Enumeration;
import java.util.Vector;
import java.sql.*;

public class BoardBean extends pejb.ejb.base.EntityAdapter{
//////// Container-Managed Persistent Fields ////////	
	public int recno;
	public int ref;
	public int step;
	public int depth;
	public int hitCnt;
	public int replyCnt;
	public String userId;
	public String userName;
	public String passwd;
	public String email;
	public String subject;
	public String contents;
	public Date registeredDate; 
	
	private String jndi_database = "java:comp/env/jdbc/BoardDB";

	public Integer ejbCreate(int recno, int ref, String userId, 
	String userName, String email, String subject, String contents, 
	String passwd, Date regDt) throws CreateException {
		return ejbCreate(recno, ref, 0, 0, userId, 
		userName, email, subject, contents, passwd, regDt);
	}
	public Integer ejbCreate(int recno, int ref, int step, int depth,
	String userId, String userName, String email, String subject, 
	String contents, String passwd, Date regDt ) throws CreateException {
		print("ejbCreate... called");
		int affectedRowCount = 0;
		this.recno = recno;
		this.ref = ref;
		this.step = step;
		this.depth = depth;
		this.userId = userId;
		this.userName = userName;
		this.email = email;
		this.subject = subject;
		this.contents = contents;
		this.passwd = passwd;
		this.registeredDate = regDt;
		return null;
	}
	
	public void ejbPostCreate(int recno, int ref, String userId, 
	String userName, String email, String subject, String contents, 
	String passwd, Date regDt) throws CreateException {
		print("ejbPostCreate called");
	}
	public void ejbPostCreate(int recno, int ref, int step, int depth , String userId, 
	String userName, String email, String subject, String contents, 
	String passwd, Date regDt) 
	throws CreateException {
		print("ejbPostCreate called");
	}

	////////// User-Defined Finder Method //////////////
	
	///////////  ̽  ޼ҵ....	////////////////
	public void setRef(int ref) { this.ref = ref; }
	public void setStep(int step) { this.step = step; }
	public void setDepth(int depth) { this.depth = depth; }
	public void setReplyCnt(int replyCnt) { this.replyCnt = replyCnt; }
	public void setHitCnt(int hitCnt) { this.hitCnt = hitCnt; }
	
	public void setUserId(String userId) { this.userId = userId; }
	public void setUserName(String userName) { this.userName = userName; }
	public void setEmail(String email) { this.email = email; }
	public void setSubject(String subject) { this.subject = subject; }
	public void setContents(String contents) { this.contents = contents; }
	public void setPasswd(String passwd) { this.passwd = passwd; }
	public void setRegisteredDate(Date regDt) { this.registeredDate = regDt; }

	public int getRef() { return ref; }
	public int getStep() { return step; }
	public int getDepth() {return depth; }
	public int getReplyCnt() { return replyCnt; }
	public int getHitCnt() { return hitCnt; }
	
	public String getUserId() { return userId; }
	public String getUserName() { return userName; }
	public String getEmail() { return email; }
	public String getPasswd() { return passwd; }
	public String getContents() { return contents; }
	public String getSubject() { return subject; }
	public Date getRegisteredDate() { return registeredDate; }
	
////////// EntityBean ̽  ޼ҵ ̵ ///////
	public void setEntityContext(EntityContext ctx ) {
		debug = true;
		ejb_name = getClass().getName();
		super.setEntityContext(ctx);
	}
/////////// Database Query Utilities ////////////////////////		
}
