import javax.ejb.*;
import java.util.Vector;
import pejb.ejb.base.*;
import pejb.ejb.shop.*;

public class CartClient {
	public static void main(String [] args) {
		pejb.ejb.base.EJBUtil util = new pejb.ejb.base.EJBUtil();
		try {
			CartHome home = (CartHome)util.lookup("Cart", CartHome.class);
			Cart cart1 = home.create();
			Cart cart2 = home.create("Yang Hooe Suk");
			cart1.addItem("Perfect Java Server Pages");
			cart1.addItem("Perfect Enterprise JavaBeans");
			cart1.addItem("Java Servlet Programming");
			
			cart2.addItem("Apple");
			cart2.addItem("Grape");
			cart2.addItem("PineApple");
			try {
				cart1.removeItem("Java Servlet Programming");
				cart2.removeItem("PineApple");
				cart2.removeItem("Peach");
			} catch(InvalidRemoveException e) {
				System.err.println(e.getMessage());
			}
			Vector items1 = cart1.getItems();
			int count = items1.size();
			String name = cart1.getName();
			System.out.println(name + "  Ͻ Դϴ.");
			for(int i = 0; i < count; i++) {
				System.out.println(items1.elementAt(i));
			}
			System.out.println("\n\n");
			Vector items2 = cart2.getItems();
			count = items2.size();
			name = cart2.getName();
			System.out.println(name + "  Ͻ Դϴ.");
			for(int i = 0; i < count; i++) {
				System.out.println(items1.elementAt(i));
			}
			cart1.remove();
			cart2.remove();
			//System.out.println(cart1.getName());
		} catch(Exception e) { e.printStackTrace(); }
	}
}
