package pejb.ejb.base;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import java.rmi.RemoteException;
public abstract class EntityAdapter implements EntityBean {
	protected EntityContext ctx;
	protected boolean debug = false;
	protected static String ejb_name = "";
	public void ejbActivate() {
		print("ejbActivate Called");
	}
	public void ejbPassivate() {
		print("ejbPassivate Called");
	}
	public void ejbLoad() {
		print("ejbLoad Called");
	}
	public void ejbStore() {
		print("ejbStore Called");
	}
	public void setEntityContext(EntityContext ctx) {
		this.ctx = ctx;
		print("setEntityContext Called");
	}
	public void unsetEntityContext() {
		ctx = null;
		print("usetEntityContext Called");
	}
	public void ejbRemove() {
		print("ejbRemove Called");
	}

	protected void print(String str) {
		if(debug) {
			System.out.println("[" + ejb_name + "] : " + str);
		}
	}

}