package pejb.beans.util;
import java.net.URLEncoder;
import java.util.*;

public class PageUtil {
	public static final int PAGE_GROUP = 10;	//ȭ鿡  
	public static final int LINES_PER_PAGE = 15;		// μ
	public static final int DATE_COMPARE = 1;
	public static final int DATE_DISPLAY = 2;

	//˻ Ÿ Parameter Name, ˻,  rows,  
	public String getPageString(String searchCondition, String searchText, int totalRows, int currPage) {
		int totalPage = (int)Math.ceil((double)totalRows / LINES_PER_PAGE);
		int start = currPage / PAGE_GROUP;
		if(currPage % PAGE_GROUP == 0)	start--;
		StringBuffer sb = new StringBuffer(1024);

		// ....
		if(start > 0) {
			sb.append("<img src='../images/bbs/prev.gif' width='6' height='9'>" 
			+ "&nbsp;<A href = 'boardList.jsp?toPage=" + (start *PAGE_GROUP));
			sb.append("&search="+searchCondition+"&text=" + 
			URLEncoder.encode(searchText) + "'></A>");
		}
		sb.append("&nbsp;&nbsp;");

		//Paging....	
		for(int i = (start * PAGE_GROUP + 1); i < (start+1) * PAGE_GROUP + 1; i++) {
			if(i != currPage){
				 sb.append("&nbsp;<A href = 'boardList.jsp?toPage=" + 
				 i + "&search="+searchCondition+"&text="+ 
				 URLEncoder.encode(searchText) + "'> [" + i + "] </A>&nbsp;");
			} else {
				 sb.append(" <font color='#00B5F1'>[" + i + "]</font> ");
			}
			if(i == totalPage || totalPage == 0) break;
		}
		sb.append("&nbsp;&nbsp;");

		//....
		if(totalPage > (start + 1) * PAGE_GROUP ) {
			sb.append("<A href = 'boardList.jsp?toPage=" + 
			((start + 1)*PAGE_GROUP + 1) + "&search=" + 
			searchCondition+"&text=" + java.net.URLEncoder.encode(searchText) +"'></A>");
			sb.append("&nbsp;<img src='../images/bbs/next.gif' width='6' height='9'>");
		}
		return sb.toString();
	}

	public String getDateFormat(int type) {
		Calendar cal = Calendar.getInstance();
		String formatStr = "";
		int year = cal.get(cal.YEAR);
		int month = cal.get(cal.MONTH) +1;
		int day = cal.get(cal.DATE);           
		if(type == DATE_COMPARE) {
			formatStr = year + "-" + ((month<10) ? "0" + month : ""+month) + "-" + day;
		} else if(type == DATE_DISPLAY) {
			formatStr = year + " " + month + " " + day + "";
		}
		return formatStr;
	}
}