package pejb.beans.board;
import java.util.*;
import java.rmi.RemoteException;
import javax.ejb.*;
import pejb.ejb.base.*;
import pejb.ejb.session.board.*;

public class UpdateBoardBean {

	private EJBUtil util;
	UpdateRec update_ejb;
	UpdateRecHome home;
	
	public UpdateBoardBean() throws RemoteException, CreateException {
		util = new EJBUtil();
		home = (UpdateRecHome)util.lookup("UpdateRec", UpdateRecHome.class);
		update_ejb = home.create(); 
	}
	//ۼ
	public void updateRec(BoardRec record) throws RemoteException{
		update_ejb.updateRec(record);
	}
	//ۻ
	public boolean deleteBoard(BoardRec record) throws RemoteException  {
		return update_ejb.deleteBoard(record);
	}
	// 
	public boolean isValidUser(int recno, String passwd) throws RemoteException{
		return update_ejb.isValidUser(recno, passwd);
	}
}