package pejb.shopmall.beans;
public class BookBean implements java.io.Serializable {
	private String title;
	private String publisher;
	private String author;
	private String description; 
	private String isbn;
	private String category;
	private long price;
	private long remaining;
	private long quantity;
	public void setTitle(String title) {
		this.title = title;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public void setPrice(long price) {
		this.price = price;
	}
	public void setCategory(String category){
		this.category = category;
	}
	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}
	public void setRemaining(long remaining) {
		this.remaining = remaining;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public void setQuantity(long quantity) {
		this.quantity = quantity;
	}
		
	public String getTitle() {
		if(title == null) title = "not set";
		return title;
	}
	public String getPublisher() {
		if(publisher == null) publisher="not set";
		return publisher;
	}
	public String getAuthor(){
		if(author == null) author = "not set";
		return author;
	}
	public long getPrice() {
		return price;
	}
	public String getIsbn() {
		return isbn;
	}
	public String getCategory() {
		return category;
	}
	public long getRemaining() {
		return remaining;
	}
	public String getDescription() {
		return this.description;
	}
	public long getQuantity() {
		return quantity;
	}
	public BookBean getBook() {
		return this;
	}
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("<TABLE BORDER=\"0\" CELLPADDING=\"10\"><TR><TD>");
		sb.append(": " + title + "</TD><TR><TD>");
		sb.append("&nbsp;&nbsp;: " + author + "</TD></TR><TR><TD>");
		sb.append("ǻ: " + publisher + "</TD></TR><TR><TD>");
		sb.append("&nbsp;&nbsp;:  " + price + " </TD></TR>");
		if(getQuantity() != 0) {
			sb.append("<TR><TD>&nbsp;&nbsp;:  " + getQuantity() + "</TD></TR>");
		}
		sb.append("</TABLE><P>");
		return sb.toString();
	}
}

