package pejb.shopmall.ejb;
import javax.ejb.*;
import java.rmi.*;
import pejb.ejb.base.*;
import pejb.shopmall.beans.*;
public class EBookBean extends EntityAdapter {
	public String isbn;
	public String title;
	public String author;
	public String publisher;
	public String category;
	public String description;
	public long price;
	public long remaining;
	
	public EBookPK ejbCreate(String isbn, String title, String author, 
	String category) throws RemoteException, CreateException {
		return ejbCreate(isbn, title, author, "", category, "", 0, 0);
	}
	public EBookPK ejbCreate(String isbn, String title, String author,
	String publisher, String category, String description,
	long price, long remaining) throws RemoteException, CreateException {
		this.isbn = isbn;
		this.title = title;
		this.author = author;
		this.publisher = publisher;
		this.category = category;
		this.description = description;
		this.price = price;
		this.remaining = remaining;
		return null;
	}
	
	public void ejbPostCreate(String isbn, String title, String author, 
	String category) {
	}
	public void ejbPostCreate(String isbn, String title, String author,
	String publisher, String category, String description,
	long price, long remaining)  {
	}
	
	public void setTitle(String title) throws RemoteException {
		this.title = title;
	}
	public void setPublisher(String publisher) throws RemoteException {
		this.publisher = publisher;
	}
	public void setAuthor(String author) throws RemoteException {
		this.author = author;
	}
	public void setDescription(String description) throws RemoteException {
		this.description = description;
	}
	public void setCategory(String category) throws RemoteException {
		this.category = category;
	}
	public void setPrice(long price) throws RemoteException {
		this.price = price;
	}
	public void setRemaining(long remaining) throws RemoteException {
		this.remaining = remaining;
	}
	
	public String getTitle() throws RemoteException {
		return title;
	}
	public String getPublisher() throws RemoteException {
		return publisher;
	}
	public String getAuthor() throws RemoteException {
		return author;
	}
	public String getDescription() throws RemoteException {
		return description;
	}
	public String getCategory() throws RemoteException {
		return category;
	}
	public long getPrice() throws RemoteException {
		return price;
	}
	public long getRemaining() throws RemoteException {
		return remaining;
	}
	public BookBean getBookBean() throws RemoteException {
		BookBean book = new BookBean ();
		book.setTitle(title);
		book.setPublisher(publisher);
		book.setAuthor(author);
		book.setPrice(price);
		book.setCategory(category);
		book.setIsbn(isbn);
		book.setRemaining(remaining);
		book.setDescription(description);
		return book;
	}
	////////// EntityBean ̽  ޼ҵ ̵ ///////
	public void setEntityContext(EntityContext ctx ) {
		debug = true;
		ejb_name = getClass().getName();
		super.setEntityContext(ctx);
	}
}
