package pejb.shopmall.ejb;
import javax.ejb.*;
import java.util.Enumeration;
import java.rmi.RemoteException;
public interface EBookHome extends EJBHome {
	public EBook create(String isbn, String title, 	String author,
	String publisher, String category, String description,
	long price, long remaining) throws RemoteException, CreateException;
	public EBook create(String isbn, String title, String author, 
	String category) throws RemoteException, CreateException;
	public EBook findByPrimaryKey(EBookPK pk) throws RemoteException, FinderException;
	public Enumeration findByTitle(String title) throws RemoteException, FinderException;
	public Enumeration findByCategory(String category) throws RemoteException, FinderException;
	public Enumeration findByAuthor(String author) throws RemoteException, FinderException;
	public Enumeration findByPublisher(String publisher) throws RemoteException, FinderException;
	public Enumeration findInPriceRange(long lower, long upper)throws RemoteException, FinderException;
	public Enumeration findByCatAndIsbn(String category, String isbn) throws RemoteException, FinderException;
	public Enumeration findByCatAndTitle(String category, String title) throws RemoteException, FinderException;
}
